Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedit.textarea
Class TextAreaDefaults

    java.lang.Object
      jedit.textarea.TextAreaDefaults

    public class TextAreaDefaults

extends java.lang.Object

Encapsulates default settings for a text area. This can be passed to the constructor once the necessary fields have been filled out. The advantage of doing this over calling lots of set() methods after creating the text area is that this method is faster.

Field Summary
`boolean` | `blockCaret`
`boolean` | `bracketHighlight`
`java.awt.Color` | `bracketHighlightColor`
`boolean` | `caretBlinks`
`java.awt.Color` | `caretColor`
`boolean` | `caretVisible`
`int` | `cols`
`SyntaxDocument` | `document`
`boolean` | `editable`
`int` | `electricScroll`
`java.awt.Color` | `eolMarkerColor`
`boolean` | `eolMarkers`
`InputHandler` | `inputHandler`
`boolean` | `lineHighlight`
`java.awt.Color` | `lineHighlightColor`
`boolean` | `paintInvalid`
`javax.swing.JPopupMenu` | `popup`
`int` | `rows`
`java.awt.Color` | `selectionColor`
`SyntaxStyle[]` | `styles`

Constructor Summary
`TextAreaDefaults()`

Method Summary
`TextAreaDefaults` | `getDefaults()` Returns a new TextAreaDefaults object with the default values filled in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputHandler

    public InputHandler inputHandler

### document

    public SyntaxDocument document

### editable

    public boolean editable

### caretVisible

    public boolean caretVisible

### caretBlinks

    public boolean caretBlinks

### blockCaret

    public boolean blockCaret

### electricScroll

    public int electricScroll

### cols

    public int cols

### rows

    public int rows

### styles

    public SyntaxStyle[] styles

### caretColor

    public java.awt.Color caretColor

### selectionColor

    public java.awt.Color selectionColor

### lineHighlightColor

    public java.awt.Color lineHighlightColor

### lineHighlight

    public boolean lineHighlight

### bracketHighlightColor

    public java.awt.Color bracketHighlightColor

### bracketHighlight

    public boolean bracketHighlight

### eolMarkerColor

    public java.awt.Color eolMarkerColor

### eolMarkers

    public boolean eolMarkers

### paintInvalid

    public boolean paintInvalid

### popup

    public javax.swing.JPopupMenu popup

Constructor Detail

### TextAreaDefaults

    public TextAreaDefaults()

Method Detail

### getDefaults

    public TextAreaDefaults getDefaults()

  Returns a new TextAreaDefaults object with the default values filled in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.